org.apache.tinkerpop.gremlin.groovy

## Class DefaultImportCustomizerProvider

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.AbstractImportCustomizerProvider
  - - org.apache.tinkerpop.gremlin.groovy.DefaultImportCustomizerProvider

- All Implemented Interfaces:
    CompilerCustomizerProvider, ImportCustomizerProvider
  Direct Known Subclasses:
    EmptyImportCustomizerProvider

  Deprecated.
  As of release 3.2.5, replaced by `DefaultImportCustomizer`.

      @Deprecated
      public class DefaultImportCustomizerProvider
      extends AbstractImportCustomizerProvider

  Grabs the standard Gremlin core classes and allows additional imports to be added.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.groovy.AbstractImportCustomizerProvider

      `DOT_STAR, EMPTY_STRING, extraImports, extraStaticImports, PERIOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultImportCustomizerProvider()` Deprecated. Utilizes imports defined statically by initializeStatically().
    `DefaultImportCustomizerProvider(ImportCustomizerProvider baseCustomizer, Set<String> extraImports, Set<String> extraStaticImports)` Deprecated. Utilizes imports defined by the supplied arguments.
    `DefaultImportCustomizerProvider(Set<String> extraImports, Set<String> extraStaticImports)` Deprecated. Utilizes imports defined by the supplied arguments.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `initializeStatically(Set<String> extraImports, Set<String> extraStaticImports)` Deprecated. Allows imports to defined globally and statically.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.groovy.AbstractImportCustomizerProvider

      `create, getAllImports, getExtraImports, getExtraStaticImports, getImports, getStaticImports, processImports, processStaticImports`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultImportCustomizerProvider

          public DefaultImportCustomizerProvider()

      Deprecated.
      Utilizes imports defined statically by initializeStatically().

    - #### DefaultImportCustomizerProvider

          public DefaultImportCustomizerProvider(Set<String> extraImports,
                                                 Set<String> extraStaticImports)

      Deprecated.
      Utilizes imports defined by the supplied arguments. Those imports defined statically through initializeStatically() are ignored.

    - #### DefaultImportCustomizerProvider

          public DefaultImportCustomizerProvider(ImportCustomizerProvider baseCustomizer,
                                                 Set<String> extraImports,
                                                 Set<String> extraStaticImports)

      Deprecated.
      Utilizes imports defined by the supplied arguments. Those imports defined statically through initializeStatically() are ignored.
      Parameters:
        `baseCustomizer` - Imports from this customizer get added to the new one

  - ### Method Detail

    - #### initializeStatically

          public static void initializeStatically(Set<String> extraImports,
                                                  Set<String> extraStaticImports)

      Deprecated.
      Allows imports to defined globally and statically. This method must be called prior to initialization of a ScriptEngine instance through the ScriptEngineFactory.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.